Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class PacketHandler

    java.lang.Object
      net.i2p.router.transport.udp.PacketHandler

     class PacketHandler

extends Object

Pull inbound packets from the inbound receiver's queue, figure out what peer session they belong to (if any), authenticate and decrypt them with the appropriate keys, and push them to the appropriate handler. Data and ACK packets go to the InboundMessageFragments, the various establishment packets go to the EstablishmentManager, and, once implemented, relay packets will go to the relay manager. At the moment, this is an actual pool of packet handler threads, each pulling off the inbound receiver's queue and pushing them as necessary.

Constructor Summary
`PacketHandler(RouterContext ctx, UDPTransport transport, UDPEndpoint endpoint, EstablishmentManager establisher, InboundMessageFragments inbound, PeerTestManager testManager, IntroductionManager introManager)`

Method Summary
`(package private) String` | `getHandlerStatus()`
`void` | `shutdown()`
`void` | `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketHandler

    PacketHandler(RouterContext ctx,
                  UDPTransport transport,
                  UDPEndpoint endpoint,
                  EstablishmentManager establisher,
                  InboundMessageFragments inbound,
                  PeerTestManager testManager,
                  IntroductionManager introManager)

Method Detail

### startup

    public void startup()

### shutdown

    public void shutdown()

### getHandlerStatus

    String getHandlerStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD